@ECHO OFF

REM Fichier de commandes pour la documentation Sphinx

if "%SPHINXBUILD%" == "" (
	set SPHINXBUILD=sphinx-build
)
set BUILDDIR=build
set ALLSPHINXOPTS=-d %BUILDDIR%/doctrees %SPHINXOPTS% source
if NOT "%PAPER%" == "" (
	set ALLSPHINXOPTS=-D latex_paper_size=%PAPER% %ALLSPHINXOPTS%
)

if "%1" == "" goto aide

if "%1" == "aide" (
	:aide
	echo.Veuillez utiliser `make ^<cible^>` où ^<cible^> est l'une des suivantes :
	echo.  html       pour générer des fichiers HTML autonomes
	echo.  dirhtml    pour générer des fichiers HTML nommés index.html dans des répertoires
	echo.  singlehtml pour générer un seul grand fichier HTML
	echo.  pickle     pour générer des fichiers pickle
	echo.  json       pour générer des fichiers JSON
	echo.  htmlhelp   pour générer des fichiers HTML et un projet d'aide HTML
	echo.  qthelp     pour générer des fichiers HTML et un projet d'aide Qt
	echo.  devhelp    pour générer des fichiers HTML et un projet d'aide Devhelp
	echo.  epub       pour générer un fichier epub
	echo.  latex      pour générer des fichiers LaTeX, vous pouvez définir PAPER=a4 ou PAPER=letter
	echo.  text       pour générer des fichiers texte
	echo.  man        pour générer des pages de manuel
	echo.  changes    pour générer un aperçu de tous les éléments modifiés/ajoutés/dépréciés
	echo.  linkcheck  pour vérifier l'intégrité de tous les liens externes
	echo.  doctest    pour exécuter tous les tests intégrés à la documentation si activé
	goto fin
)

if "%1" == "clean" (
	for /d %%i in (%BUILDDIR%\*) do rmdir /q /s %%i
	del /q /s %BUILDDIR%\*
	goto fin
)

if "%1" == "html" (
	%SPHINXBUILD% -b html %ALLSPHINXOPTS% %BUILDDIR%/html
	echo.
	echo.Construction terminée. Les pages HTML se trouvent dans %BUILDDIR%/html.
	goto fin
)

if "%1" == "dirhtml" (
	%SPHINXBUILD% -b dirhtml %ALLSPHINXOPTS% %BUILDDIR%/dirhtml
	echo.
	echo.Construction terminée. Les pages HTML se trouvent dans %BUILDDIR%/dirhtml.
	goto fin
)

if "%1" == "singlehtml" (
	%SPHINXBUILD% -b singlehtml %ALLSPHINXOPTS% %BUILDDIR%/singlehtml
	echo.
	echo.Construction terminée. Les pages HTML se trouvent dans %BUILDDIR%/singlehtml.
	goto fin
)

if "%1" == "pickle" (
	%SPHINXBUILD% -b pickle %ALLSPHINXOPTS% %BUILDDIR%/pickle
	echo.
	echo.Construction terminée; vous pouvez maintenant traiter les fichiers pickle.
	goto fin
)

if "%1" == "json" (
	%SPHINXBUILD% -b json %ALLSPHINXOPTS% %BUILDDIR%/json
	echo.
	echo.Construction terminée; vous pouvez maintenant traiter les fichiers JSON.
	goto fin
)

if "%1" == "htmlhelp" (
	%SPHINXBUILD% -b htmlhelp %ALLSPHINXOPTS% %BUILDDIR%/htmlhelp
	echo.
	echo.Construction terminée; vous pouvez maintenant exécuter HTML Help Workshop avec le fichier ^
.hhp dans %BUILDDIR%/htmlhelp.
	goto fin
)

if "%1" == "qthelp" (
	%SPHINXBUILD% -b qthelp %ALLSPHINXOPTS% %BUILDDIR%/qthelp
	echo.
	echo.Construction terminée; vous pouvez maintenant exécuter "qcollectiongenerator" avec le fichier ^
.qhcp dans %BUILDDIR%/qthelp, comme ceci :
	echo.^> qcollectiongenerator %BUILDDIR%\qthelp\template_class.qhcp
	echo.Pour voir le fichier d'aide :
	echo.^> assistant -collectionFile %BUILDDIR%\qthelp\template_class.ghc
	goto fin
)

if "%1" == "devhelp" (
	%SPHINXBUILD% -b devhelp %ALLSPHINXOPTS% %BUILDDIR%/devhelp
	echo.
	echo.Construction terminée.
	goto fin
)

if "%1" == "epub" (
	%SPHINXBUILD% -b epub %ALLSPHINXOPTS% %BUILDDIR%/epub
	echo.
	echo.Construction terminée. Le fichier epub se trouve dans %BUILDDIR%/epub.
	goto fin
)

if "%1" == "latex" (
	%SPHINXBUILD% -b latex %ALLSPHINXOPTS% %BUILDDIR%/latex
	echo.
	echo.Construction terminée; les fichiers LaTeX se trouvent dans %BUILDDIR%/latex.
	goto fin
)

if "%1" == "text" (
	%SPHINXBUILD% -b text %ALLSPHINXOPTS% %BUILDDIR%/text
	echo.
	echo.Construction terminée. Les fichiers texte se trouvent dans %BUILDDIR%/text.
	goto fin
)

if "%1" == "man" (
	%SPHINXBUILD% -b man %ALLSPHINXOPTS% %BUILDDIR%/man
	echo.
	echo.Construction terminée. Les pages de manuel se trouvent dans %BUILDDIR%/man.
	goto fin
)

if "%1" == "changes" (
	%SPHINXBUILD% -b changes %ALLSPHINXOPTS% %BUILDDIR%/changes
	echo.
	echo.Le fichier d'aperçu se trouve dans %BUILDDIR%/changes.
	goto fin
)

if "%1" == "linkcheck" (
	%SPHINXBUILD% -b linkcheck %ALLSPHINXOPTS% %BUILDDIR%/linkcheck
	echo.
	echo.Vérification des liens terminée ; recherchez les erreurs dans la sortie ci-dessus ^
ou dans %BUILDDIR%/linkcheck/output.txt.
	goto fin
)

if "%1" == "doctest" (
	%SPHINXBUILD% -b doctest %ALLSPHINXOPTS% %BUILDDIR%/doctest
	echo.
	echo.Test des doctests dans les sources terminé, consultez les ^
résultats dans %BUILDDIR%/doctest/output.txt.
	goto fin
)

:fin
